# Events

| Event                                                                                     | Trigger                                                    |
| ----------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| [ticket\_creation](/docs/apis/tickets/reference/events/ticket-creation.md)                | New ticket comes into the system                           |
| [ticket\_status\_change](/docs/apis/tickets/reference/events/ticket-status-change.md)     | Ticket status is changed (ex. from "Open" to "Closed")     |
| [ticket\_tags\_change](/docs/apis/tickets/reference/events/ticket-tags-change.md)         | Tags were added or deleted from ticket                     |
| [ticket\_category\_change](/docs/apis/tickets/reference/events/ticket-category-change.md) | Category were added, deleted or changed from ticket        |
| [reply\_creation](/docs/apis/tickets/reference/events/reply-creation.md)                  | New repliy is added to an ongoing conversation in a ticket |
| [reply\_update](/docs/apis/tickets/reference/events/reply-update.md)                      | Reply message is updated                                   |
| [reply\_deletion](/docs/apis/tickets/reference/events/reply-deletion.md)                  | Reply is deleted from an ongoing conversation in a ticket  |
| [note\_creation](/docs/apis/tickets/reference/events/note-creation.md)                    | New internal note has been created on a ticket             |
| [note\_update](/docs/apis/tickets/reference/events/note-update.md)                        | An internal note message has been updated                  |
| [note\_deletion](/docs/apis/tickets/reference/events/note-deletion.md)                    | An internal note has been deleted                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
